routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::group(['prefix' => '', 'namespace' => 'Shop', 'as' => 'shop.'], function () {
    Route::get('/', 'ShopController@index')->name('index');
    // Route::get('/the-loai/{slugParent}/{slug}', 'ShopController@categoryList')->name('categorylist');
    Route::get('/san-pham/chi-tiet/{id}', 'ShopController@show')->name('detail');
    Route::get('/all-products', 'ShopController@allProducts')->name('allproducts');
    Route::get('/all-articles', 'ShopController@allArticles')->name('allarticles');
    Route::get('/bai-viet/{id}', 'ShopController@detailArticle')->name('detailarticle');
    // Route::get('/category-list/{name}_{id}', 'ShopController@categoryList')->name('categorylist');
    Route::group(['prefix' => 'Cart', 'as' => 'cart.', 'middleware' => ['auth']], function () {
        Route::post('/add-product-cart', 'ShopController@addProductToCart')->name('addproducttocart');
        Route::get('/gio-hang-cua-ban', 'ShopController@listCartProduct')->name('listcart');
        Route::post('/remove-item-cart', 'ShopController@removeItemCart')->name('removeitemcart');
        Route::post('/add-cart', 'ShopController@addCart')->name('addcart');
        Route::get('/ajax-show-cart', 'ShopController@ajaxShowCart')->name('ajaxshowcart');
        Route::get('/lich-su-giao-dich', 'ShopController@historyOrder')->name('historyorder');
    });
    Route::group(['prefix' => 'Info', 'as' => 'info.', 'middleware' => ['auth']], function () {
        Route::get('/thong-tin-tk', 'ShopController@showInfo')->name('showinfo');
        Route::post('/change/thong-tin-tk', 'ShopController@changeInfo')->name('changeinfo');
    });
    // Route::post('/comment/add/{slug}_{id}', 'ShopController@addComment')->name('addcomment');
    // Route::get('/about-us', 'ShopController@aboutUs')->name('about');
    // Route::get('/contact-us', 'ShopController@contactUs')->name('contact');
    // Route::post('/contact-us/add', 'ShopController@addContact')->name('addcontact');
});
Route::get('/login-admin', 'Admin\AdminController@loginAdmin')->name('loginadmin');
Route::group(['prefix' => 'admin', 'namespace' => 'Admin', 'as' => 'admin.', 'middleware' => ['checktype']], function () {
    Route::get('/', 'AdminController@index')->name('index');
    Route::group(['prefix' => 'categoryproduct', 'as' => 'categoryproduct.'], function () {
        Route::get('/', 'CategoryProductController@index')->name('list');
        Route::get('/add', 'CategoryProductController@create')->name('add');
        Route::post('/created', 'CategoryProductController@store')->name('created');
        Route::get('edit/{id}', 'CategoryProductController@edit')->name('edit');
        Route::post('/{id}', 'CategoryProductController@update')->name('update');
        Route::delete('/deletecate', 'CategoryProductController@destroy')->name('destroy');
    });
    Route::group(['prefix' => 'product', 'as' => 'product.'], function () {
        Route::get('/', 'ProductController@index')->name('list');
        Route::get('/add', 'ProductController@create')->name('add');
        Route::post('/created', 'ProductController@store')->name('created');
        Route::get('edit/{id}', 'ProductController@edit')->name('edit');
        Route::post('/{id}', 'ProductController@update')->name('update');
        Route::delete('/product/{id}', 'ProductController@destroy')->name('destroy');
        Route::post('/deleteimage', 'ProductController@deleteImage')->name('deleteimage');
        Route::post('/uploadimage/{type?}', 'ProductController@UploadMultiple')->name('uploadimage');
    });

    Route::group(['prefix' => 'categoryarticle', 'as' => 'categoryarticle.'], function () {
        Route::get('/', 'CategoryArticleController@index')->name('list');
        Route::get('/add', 'CategoryArticleController@create')->name('add');
        Route::post('/created', 'CategoryArticleController@store')->name('created');
        Route::get('edit/{id}', 'CategoryArticleController@edit')->name('edit');
        Route::post('/{id}', 'CategoryArticleController@update')->name('update');
        Route::delete('/deletecate', 'CategoryArticleController@destroy')->name('destroy');
    });
    Route::group(['prefix' => 'article', 'as' => 'article.'], function () {
        Route::get('/', 'ArticleController@index')->name('list');
        Route::get('/add', 'ArticleController@create')->name('add');
        Route::post('/created', 'ArticleController@store')->name('created');
        Route::get('edit/{id}', 'ArticleController@edit')->name('edit');
        Route::post('/{id}', 'ArticleController@update')->name('update');
        Route::delete('/article/{id}', 'ArticleController@destroy')->name('destroy');
        Route::post('/deleteimage', 'ArticleController@deleteImage')->name('deleteimage');
        Route::post('/uploadimage/{type?}', 'ArticleController@UploadMultiple')->name('uploadimage');
    });
     Route::group(['prefix' => 'order', 'as' => 'order.'], function () {
        Route::get('/', 'OrderController@index')->name('list');
        Route::get('/add', 'OrderController@create')->name('add');
        Route::post('/searchproductname', 'OrderController@searchProductName')->name('searchproductname');
        Route::post('/created', 'OrderController@store')->name('created');
        Route::get('edit/{id}', 'OrderController@edit')->name('edit');
        Route::post('/{id}', 'OrderController@update')->name('update');
        Route::delete('/deletecate', 'OrderController@destroy')->name('destroy');
    });
});
Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Http/Controllers/Shop/ShopController.php
<?php

namespace App\Http\Controllers\Shop;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\CategoryProduct;
use App\Models\CategoryArticle;
use App\Models\Product;
use App\Models\Article;
use App\Models\Order;
use App\User;
use App\Models\OrderDetail;
use Cart;
use Carbon\Carbon;
use Response;
use View;
use Auth;
use Hash;
use App\Http\Requests\UserRequest;

class ShopController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $categories = CategoryProduct::where('status', 1)->get();
        $products = Product::where('status', 1)->get();
        return view('shop.index', ['categories' => $categories, 'products' => $products]);
    }

    public function allProducts()
    {
        $products = Product::select()->where('status', 1)->paginate(5);
        return view('shop.all_products.all_products', ['products' => $products]);
    }

    public function allArticles()
    {
        $articles = Article::select()->where('status', 1)->paginate(5);
        return view('shop.all_articles.all_articles', ['articles' => $articles]);
    }

    public function detailArticle($id)
    {
        $article = Article::findOrFail($id);
        $categories = CategoryArticle::all();
        return view('shop.all_articles.detail_article', ['article' => $article, 'categories' => $categories]);
    }

    public function addProductToCart(Request $request)
    {
        $product = Product::find($request->id);
        if ($product) {
            Cart::add(
                ['id' => $request->id,
                    'name' => $product->name,
                    'qty' => $request->quantity_input,
                    'price' => $product->price,
                    'weight' => 550,
                    'options' => ['image' => $product->images->first()->src ?? 'error'
                    ]]);
        }
        return redirect()->back();
    }

    public function ajaxShowCart()
    {
        $products = Cart::Content();
        $total = Cart::total();
        return Response::json(View::make('shop.cart.show-ajax-cart', array('items' => $products, 'total' => $total))->render());
    }

    public function listCartProduct()
    {
        $products = Cart::content();
        $viewData = [
            'products' => $products
        ];
        return view('shop.cart.show-cart', ['products' => $products]);
    }

    public function removeItemCart(Request $request)
    {
        Cart::remove($request->rowId);
        $status = 'true';
        $totalNew = Cart::total();
        $msg[] = ['status' => $status,
            'totalNew' => $totalNew];
        return $msg;
    }

    public function addCart(Request $request)
    {
        $products = Cart::Content();
        if (count($products) == 0) {
            return redirect()->back()->with('status', 'Chưa có sản phẩm trong giỏ hàng');
        }
        if ($request->use_user == "on") {
            $orderAdd['name'] = auth()->user()->name;
            $orderAdd['phone'] = auth()->user()->phone;
            $orderAdd['delivery_address'] = auth()->user()->address;
        } else {
            $orderAdd = $request->all();
        }
        $orderAdd['order_date'] = Carbon::now()->toDateTimeString();
        $orderAdd['user_id'] = auth()->user()->id;
        $total = Cart::total();
        $result = str_replace(",", "", $total);
        $orderAdd['total'] = (int)$result;
        $orderAdd['status'] = 1;
        $order = Order::create($orderAdd);
        foreach ($products as $product) {
            $order->orderDetails()->create(['product_id' => $product->id, 'order_id' => $order->id, 'quantity' => $product->qty, 'until_price' => $product->price]);
        }
        Cart::destroy();
        return redirect()->route('shop.index')->with('status', 'Đơn Hàng của bạn đã được lưu!');
    }

    public function historyOrder()
    {
        $usersOrder = Order::where('user_id', auth()->user()->id)->get();
        return view('shop.cart.history-order', ['usersOrder' => $usersOrder]);
    }


    public function show($id)
    {
        $product = Product::findOrFail($id);
        return view('shop.detail.detail', ['product' => $product]);
    }

    public function showInfo()
    {
        $user = auth()->user();
        return view('shop.info-user.info-user', ['user' => $user]);
    }

    public function changeInfo(UserRequest $request)
    {
        $user = User::findOrFail($request->id);
        $request_data = $request->all();
        if (!is_null($request_data['password_confirmation']) && !is_null($request_data['password_confirmation'])) {
            $current_password = Auth::User()->password;
            if (Hash::check($request_data['old_password'], $current_password)) {
                $user->password = Hash::make($request_data['password']);;
                $request_data = ['password', $user->password];
            } else {
                return redirect()->back()->with('error', 'Mật khẩu cũ không đúng');
            }
        }
        $user->update($request_data);
        return redirect()->back()->with('message', 'Cập nhật thông tin tài khoản thành công !!');
    }
}

resources/views/shop/all_articles/all_articles.blade.php
@extends('shop.layouts.master',[ 'single_page' =>'true' ])
@section('styles')
@endsection
@section('content')
  <div class="blog-section">
        <div class="container">
            <div class="row">
                <div class="col-md-10 col-md-offset-1">
                    <div class="blog-posts">
                        <div class="row">
                        	@foreach($articles as $article)
                            <div class="col-md-6">
                                <article class="blog-article">
                                    <a href="{{route('shop.detailarticle',['id'=>$article->id])}}"><img src="{{url($article->images[0]->src ?? '/shop/assets/images/blog/01.jpg')}}" alt="">
                                        <span class="post-date text-uppercase">{{\Carbon\Carbon::parse($article->created_at)->format('d M yy')}}</span>
                                        <span class="overlay"></span>
                                    </a>
                                    <div class="post-info text-center text-uppercase">
                                        <div class="post-cat"><a href="">{{$article->category->name}}</a></div>
                                        <h2 class="post-title"><a href="{{route('shop.detailarticle',['id'=>$article->id])}}">{{$article->title}}</a></h2>
                                    </div>
                                </article>
                            </div>
                            @endforeach
                         
                            <div class="col-md-12 pagination text-center">
                                {{ $articles->links() }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
             
        </div>
    </div>
@endsection

resources/views/shop/all_articles/detail_article.blade.php
@extends('shop.layouts.master',[ 'single_page' =>'true' ])
@section('styles')
@endsection
@section('content')
<div class="single-blog">
    <div class="container">
        <div class="row">
            <div class="col-md-10 col-md-offset-1">
                <div class="row">
                    <div class="col-md-8">
                        <article class="single-post">
                            <a href="" class="post-thumb"><img src="/shop/assets/images/blog/single-01.jpg" alt=""></a>

                            <div class="post-meta text-center text-uppercase"><a href="" class="post-cat">{{$article->category->name}}</a>
                            </div>
                            <h2 class="post-title text-center text-uppercase">{{$article->title}}</h2>

                            <div class="post-content">
                                {!! $article->content !!}
                            </div>

                            <!--start tags-->
                            <?php $tagname = explode(",", $article->tag);
                ?>
                            <div class="entry-tags text-uppercase">
                               @foreach($tagname as $tag)
                               <a href="#">{{$tag}}</a>
                               @endforeach
                           </div>
                            <!--end tags-->

                            <!--start related post-->
                            <div class="related-post">
                                <h4 class="related-post-title">Related Post</h4>
                                <div class="row">
                                    <div class="col-md-6">
                                        <article class="blog-article">
                                            <a href=""><img src="/shop/assets/images/blog/03.jpg" alt="">
                                                <span class="overlay"></span>
                                            </a>
                                            <div class="post-info text-center text-uppercase">
                                                <h2 class="post-title"><a href="">How to Shape Better UI?</a></h2>
                                            </div>
                                        </article>
                                    </div>
                                    <div class="col-md-6">
                                        <article class="blog-article">
                                            <a href=""><img src="/shop/assets/images/blog/02.jpg" alt="">
                                                <span class="overlay"></span>
                                            </a>
                                            <div class="post-info text-center text-uppercase">
                                                <h2 class="post-title"><a href="">How to Shape Better UI?</a></h2>
                                            </div>
                                        </article>
                                    </div>
                                </div>
                            </div>
                            <!--end related post-->

                            <!--Start Comment Form-->
                            <div class="comment-form">
                                <h4 class="comment-form-title">Leave a Comment</h4>
                                <div class="row">
                                    <div class="form-group">
                                        <div class="col-md-6 name"><input type="text" placeholder="Name"></div>
                                        <div class="col-md-6"><input type="text" placeholder="Email"></div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-md-12"><input type="text" placeholder="Website"></div>
                                    </div>
                                    <div class="form-group">
                                        <div class="col-md-12"><textarea name="comment" id="comment" cols="40" rows="6" placeholder="Comment"></textarea></div>
                                    </div>
                                    <div class="col-md-12">
                                        <input type="submit" value="Submit">
                                    </div>
                                </div>
                            </div>
                            <!--End Comment Form-->
                        </article>
                    </div>
                    <div class="col-md-4">
                        <div class="primary-sidebar">
                          

                            <aside class="widget">
                                <h3 class="widget-title text-uppercase">Danh Mục Tin Tức</h3>
                                <ul>
                                    @foreach($categories as $category)
                                     <li><a href="">{{$category->name}} ({{$category->article->count()}})</a></li>
                                    @endforeach
                                </ul>
                            </aside>


                            <aside class="widget recent-post-widget">
                                <h3 class="widget-title text-uppercase">Recent Post</h3>
                                <ul class="posts-list">
                                    <li>
                                        <article class="media clearfix">
                                            <div class="entry-img media-left">
                                                <a href="">
                                                    <img src="/shop/assets/images/blog/recent-01.jpg" alt="">
                                                </a>
                                            </div>
                                            <div class="media-body">
                                                <h3 class="entry-title"><a href="">Evening Family Tea Table Party</a></h3>
                                                <div class="entry-date">20 August, 2016</div>
                                            </div>
                                        </article>
                                    </li>
                                    <li>
                                        <article class="media clearfix">
                                            <div class="entry-img media-left">
                                                <a href="">
                                                    <img src="/shop/assets/images/blog/recent-02.jpg" alt="">
                                                </a>
                                            </div>
                                            <div class="media-body">
                                                <h3 class="entry-title"><a href="">Evening Family Tea Table Party</a></h3>
                                                <div class="entry-date">20 August, 2016</div>
                                            </div>
                                        </article>
                                    </li>
                                    <li>
                                        <article class="media clearfix">
                                            <div class="entry-img media-left">
                                                <a href="">
                                                    <img src="/shop/assets/images/blog/recent-03.jpg" alt="">
                                                </a>
                                            </div>
                                            <div class="media-body">
                                                <h3 class="entry-title"><a href="">Evening Family Tea Table Party</a></h3>
                                                <div class="entry-date">20 August, 2016</div>
                                            </div>
                                        </article>
                                    </li>
                                </ul>
                            </aside>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection